Documentation
Team Management API
Manage team members and permissions.
Endpoints
POST
/organizations/:accountID/inviteInvite a new team member to the organization
curl -X POST https://api.insurlink.com/v1/organizations/org-123/invite \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "member@example.com",
"role": "MEMBER"
}'bash
GET
/organizations/:accountID/membersGet all team members of an organization
curl https://api.insurlink.com/v1/organizations/org-123/members \
-H "Authorization: Bearer YOUR_API_KEY"bash
PUT
/organizations/:accountID/members/:memberIdUpdate a team member's role
curl -X PUT https://api.insurlink.com/v1/organizations/org-123/members/member-456 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"role": "ADMIN"
}'bash
DELETE
/organizations/:accountID/members/:memberIdRemove a team member from the organization
curl -X DELETE https://api.insurlink.com/v1/organizations/org-123/members/member-456 \
-H "Authorization: Bearer YOUR_API_KEY"bash
POST
/organizations/:accountID/invitations/:invitationId/resendResend a pending invitation
curl -X POST https://api.insurlink.com/v1/organizations/org-123/invitations/inv-789/resend \
-H "Authorization: Bearer YOUR_API_KEY"bash
DELETE
/organizations/:accountID/invitations/:invitationIdCancel a pending invitation
curl -X DELETE https://api.insurlink.com/v1/organizations/org-123/invitations/inv-789 \
-H "Authorization: Bearer YOUR_API_KEY"bash